#if !defined(WINSTD_H)
#include <windows.h>
#include "winbase.h"

class StdRegClass : public WindowRegClass {
public:
    StdRegClass(LPSTR ClassName, HANDLE hInst, HANDLE hPrev,
                    long (FAR PASCAL *proc)(HWND, WORD, WORD, LONG ),
                    LPSTR menu = NULL, LPSTR icon = IDI_APPLICATION,
                    LPSTR cursorname = IDC_ARROW)
                    :WindowRegClass(ClassName, hInst, hPrev,proc) {
        SetClassMenu(menu);
        SetClassIcon(icon);
        SetClassCursor(cursorname);
        Register();
    }
};


class StdWin: public Window {
public:
    StdWin(LPSTR clsname, LPSTR winname, HANDLE hinst)
                               :Window(clsname,winname,hinst) {
        SetWinStyle(WS_OVERLAPPEDWINDOW | WS_CLIPCHILDREN);
        SetWinX(100);
        SetWinY(50);
        SetWinWidth(500);
        SetWinHeight(300);
    }
};
#define WINSTD_H
#endif
